<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.saml.web.internal.struts.AssertionConsumerServiceAction" immediate="true">
  <property name="path" type="String" value="/portal/saml/acs"/>
  <service>
    <provide interface="com.liferay.portal.kernel.struts.StrutsAction"/>
  </service>
  <reference name="SamlProviderConfigurationHelper" interface="com.liferay.saml.runtime.configuration.SamlProviderConfigurationHelper" bind="setSamlProviderConfigurationHelper"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_samlSpIdpConnectionLocalService" interface="com.liferay.saml.persistence.service.SamlSpIdpConnectionLocalService" field="_samlSpIdpConnectionLocalService"/>
  <reference name="_webSsoProfile" interface="com.liferay.saml.runtime.servlet.profile.WebSsoProfile" field="_webSsoProfile"/>
  <implementation class="com.liferay.saml.web.internal.struts.AssertionConsumerServiceAction"/>
</scr:component>
